diff --git a/samples/bluetooth/central_hr_coded/src/main.c b/samples/bluetooth/central_hr_coded/src/main.c
index 55614e2f331..5bd65ddfca2 100644
--- a/samples/bluetooth/central_hr_coded/src/main.c
+++ b/samples/bluetooth/central_hr_coded/src/main.c
@@ -111,7 +111,14 @@ static void scan_filter_match(struct bt_scan_device_info *device_info,
 {
 	int err;
 	char addr[BT_ADDR_LE_STR_LEN];
-	struct bt_conn_le_create_param *conn_params;
+	struct bt_conn_le_create_param conn_params = {
+		.options=BT_CONN_LE_OPT_CODED,
+		.interval=BT_GAP_SCAN_SLOW_INTERVAL_1,
+		.window=0x320,
+		.timeout=300,
+		.interval_coded=BT_GAP_SCAN_SLOW_INTERVAL_1,
+		.window_coded=0x320
+	};
 
 	bt_addr_le_to_str(device_info->recv_info->addr, addr, sizeof(addr));
 
@@ -123,12 +130,7 @@ static void scan_filter_match(struct bt_scan_device_info *device_info,
 		printk("Stop LE scan failed (err %d)\n", err);
 	}
 
-	conn_params = BT_CONN_LE_CREATE_PARAM(
-			BT_CONN_LE_OPT_CODED | BT_CONN_LE_OPT_NO_1M,
-			BT_GAP_SCAN_FAST_INTERVAL,
-			BT_GAP_SCAN_FAST_INTERVAL);
-
-	err = bt_conn_le_create(device_info->recv_info->addr, conn_params,
+	err = bt_conn_le_create(device_info->recv_info->addr, &conn_params,
 				BT_LE_CONN_PARAM_DEFAULT,
 				&default_conn);
 	if (err) {
@@ -153,10 +155,13 @@ static void scan_init(void)
 	/* Use active scanning and disable duplicate filtering to handle any
 	 * devices that might update their advertising data at runtime. */
 	struct bt_le_scan_param scan_param = {
-		.type     = BT_LE_SCAN_TYPE_ACTIVE,
-		.interval = BT_GAP_SCAN_FAST_INTERVAL,
-		.window   = BT_GAP_SCAN_FAST_WINDOW,
-		.options  = BT_LE_SCAN_OPT_CODED | BT_LE_SCAN_OPT_NO_1M
+		.type=BT_LE_SCAN_TYPE_PASSIVE,
+		.options=BT_LE_SCAN_OPT_CODED,
+		.interval=BT_GAP_SCAN_SLOW_INTERVAL_1,
+		.window=0x320,
+		.timeout=0,
+		.interval_coded=BT_GAP_SCAN_SLOW_INTERVAL_1,
+		.window_coded=0x320,
 	};
 
 	struct bt_scan_init_param scan_init = {
